## lambda-align2 2.0.0

=== CMakeLists.txt ===
# ===========================================================================
#                  Lambda
# ===========================================================================

cmake_minimum_required (VERSION 3.0.0)
string(ASCII 27 Esc)
set(ColourBold  "${Esc}[1m")
set(ColourReset "${Esc}[m")
set(ColourRed   "${Esc}[31m")

message ("${ColourBold}Compiler Detection${ColourReset}")

project (lambda2 CXX)

# ----------------------------------------------------------------------------
# Make "Release" the default cmake build type
# ----------------------------------------------------------------------------

if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE Release CACHE STRING
         "Choose the type of build, options are: Debug Release RelWithDebInfo"
         FORCE)
endif ()

# ----------------------------------------------------------------------------
# Begin of dependency detection
# ----------------------------------------------------------------------------

message ("\n${ColourBold}Dependency detection${ColourReset}")

if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/include/seqan/include/seqan/version.h")
    set (CMAKE_INCLUDE_PATH
        ${CMAKE_CURRENT_SOURCE_DIR}/include/seqan/include
        ${CMAKE_INCLUDE_PATH})
    set (CMAKE_PREFIX_PATH
        ${CMAKE_CURRENT_SOURCE_DIR}/include/seqan/util/cmake
        ${CMAKE_PREFIX_PATH})
    set (CMAKE_MODULE_PATH
        ${CMAKE_CURRENT_SOURCE_DIR}/include/seqan/util/cmake
        ${CMAKE_MODULE_PATH})
    message (STATUS "Found a local SeqAn library provided with the Lambda source code.")
    message (    "   This will be preferred over system global headers.")
endif ()

# ----------------------------------------------------------------------------
# Add Lambda targets
# ----------------------------------------------------------------------------

add_subdirectory(src)

# ----------------------------------------------------------------------------
# Warn if cmake build type is not "Release"
# ----------------------------------------------------------------------------

if (NOT CMAKE_BUILD_TYPE STREQUAL Release)
    message (STATUS "${ColourRed}CMAKE_BUILD_TYPE is not \"Release\", your binaries will be slow.${ColourReset}")
endif ()

# ----------------------------------------------------------------------------
# Add Tests
# ----------------------------------------------------------------------------

# message ("\n${ColourBold}Setting up unit tests${ColourReset}")
# add_subdirectory(tests)

=== src/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /sandbox/h4nn3s/apps/lambda/CMakeLists.txt
#
# CMakeLists.txt file for lambda.
# ===========================================================================

# ----------------------------------------------------------------------------
# App version
# ----------------------------------------------------------------------------

# change this after every release
set (SEQAN_APP_VERSION_MAJOR "2")
set (SEQAN_APP_VERSION_MINOR "0")
set (SEQAN_APP_VERSION_PATCH "0")

# don't change the following
set (SEQAN_APP_VERSION "${SEQAN_APP_VERSION_MAJOR}.${SEQAN_APP_VERSION_MINOR}.${SEQAN_APP_VERSION_PATCH}")

# adapt when necessary
set (MINIMUM_SEQAN_VERSION "2.3.1")

# ----------------------------------------------------------------------------
# Dependencies (continued)
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
find_package(OpenMP QUIET)
find_package(ZLIB   QUIET)
find_package(BZip2  QUIET)
find_package(SeqAn  QUIET REQUIRED CONFIG)

message(STATUS "These dependencies where found:")
message(   "     OPENMP     ${OPENMP_FOUND}      ${OpenMP_CXX_FLAGS}")
message(   "     ZLIB       ${ZLIB_FOUND}      ${ZLIB_VERSION_STRING}")
message(   "     BZIP2      ${BZIP2_FOUND}      ${BZIP2_VERSION_STRING}")
message(   "     SEQAN      ${SEQAN_FOUND}      ${SEQAN_VERSION_STRING}")

# Warn if OpenMP was not found.
if (NOT OPENMP_FOUND)
    message (WARNING "WARNING WARNING WARNING\nWARNING: OpenMP not found. Lambda will be built without multi-threading! "
    "This is probably not what you want! Use GCC >= 4.9.1, Clang >= 3.8.0 or ICC >= 16.0.2\nWARNING WARNING WARNING")
endif (NOT OPENMP_FOUND)

# Warn if Zlib was not found.
if (NOT ZLIB_FOUND)
  message (WARNING "WARNING: Zlib not found. Building lambda without support for gzipped input and output (this includes support for .bam).")
endif (NOT ZLIB_FOUND)

# Warn if BZip2 was not found.
if (NOT BZIP2_FOUND)
  message (WARNING "WARNING: BZip2 not found. Building lambda without support for bzipped input and output.")
endif (NOT BZIP2_FOUND)

if (CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.9.1)
        message (FATAL_ERROR "Your GCC version is too old. Minimum version is GCC-4.9.1!")
        return ()
    endif ()
elseif (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.6)
        message (FATAL_ERROR "Your Clang version is too old. Please upgrade to 3.8.0 or use GCC.")
        return()
    elseif (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.8)
        message (WARNING "Your Clang version is too old, you will not have parallelism! Upgrade to 3.8.0 or newer.")
    endif ()
elseif (CMAKE_CXX_COMPILER_ID MATCHES "Intel")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 17)
        message(WARNING "Your Intel Compiler version is too old. Please upgrade to 17.0.0 or newer!")
    endif ()
else ()
    message(WARNING "Unknown compiler, you are own your own!")
endif ()

if (SEQAN_VERSION_STRING VERSION_LESS "${MINIMUM_SEQAN_VERSION}")
    message (FATAL_ERROR "The minimum SeqAn verison required is ${MINIMUM_SEQAN_VERSION}!")
    return ()
endif ()

message(STATUS "The requirements where met.")

# ----------------------------------------------------------------------------
# App-Level Configuration
# ----------------------------------------------------------------------------

message ("\n${ColourBold}Build configuration${ColourReset}")

message (STATUS "LAMBDA version is: ${SEQAN_APP_VERSION}")

option (LAMBDA_FASTBUILD                "Build only blastp and blastx modes (speeds up build)."                                     OFF)
option (LAMBDA_LINGAPS_OPT              "Add optimized codepaths for linear gap costs (increases bin size and compile time)."       OFF)
option (LAMBDA_LONG_PROTEIN_SUBJ_SEQS   "Make max protein sequence length == 4.3billion instead of 65,535. INVALIDATES INDEXS!"     OFF)
option (LAMBDA_MMAPPED_DB               "Use mmapped access to the database."                                                       OFF)
option (LAMBDA_NATIVE_BUILD             "Architecture-specific optimizations, i.e. g++ -march=native."                              ON)
option (LAMBDA_MULTIOPT_BUILD           "Build and install multiple binaries with different optimisation levels + a dispatcher."    OFF)
option (LAMBDA_STATIC_BUILD             "Include all libraries in the binaries."                                                    OFF)

if (LAMBDA_FASTBUILD)
    add_definitions (-DFASTBUILD=1)
endif (LAMBDA_FASTBUILD)

if (LAMBDA_NATIVE_BUILD)
    add_definitions (-DLAMBDA_NATIVE_BUILD=1)
    set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -march=native")
    if (CMAKE_CXX_COMPILER_ID MATCHES "Intel")
        set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -xHOST -ipo -no-prec-div -fp-model fast=2")
    endif (CMAKE_CXX_COMPILER_ID MATCHES "Intel")
endif (LAMBDA_NATIVE_BUILD)

if (LAMBDA_STATIC_BUILD)
    add_definitions (-DLAMBDA_STATIC_BUILD=1)
    set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
    # apple does not support fully static builds, but at least libgcc and libstdc++
    if (APPLE)
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc -static-libstdc++")
        message (WARNING "WARNING: Builds on Mac are never fully static.")
    else (APPLE)
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
    endif (APPLE)
    # on linux cmake adds -rdynamic automatically which clang can't handle in static builds
    if (CMAKE_SYSTEM_NAME MATCHES "Linux")
        SET(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "")
    endif (CMAKE_SYSTEM_NAME MATCHES "Linux")
endif (LAMBDA_STATIC_BUILD)

if (LAMBDA_MMAPPED_DB)
    add_definitions (-DLAMBDA_MMAPPED_DB=1)
endif (LAMBDA_MMAPPED_DB)

if (LAMBDA_LINGAPS_OPT)
    add_definitions (-DLAMBDA_LINGAPS_OPT=1)
endif ()

if (LAMBDA_LONG_PROTEIN_SUBJ_SEQS)
    add_definitions (-DLAMBDA_LONG_PROTEIN_SUBJ_SEQS=1)
endif ()

message(STATUS "The following options are selected for the build:")
message(   "     LAMBDA_FASTBUILD                ${LAMBDA_FASTBUILD}")
message(   "     LAMBDA_LINGAPS_OPT              ${LAMBDA_LINGAPS_OPT}")
message(   "     LAMBDA_LONG_PROTEIN_SUBJ_SEQS   ${LAMBDA_LONG_PROTEIN_SUBJ_SEQS}")
message(   "     LAMBDA_MMAPPED_DB               ${LAMBDA_MMAPPED_DB}")
message(   "     LAMBDA_NATIVE_BUILD             ${LAMBDA_NATIVE_BUILD}")
message(   "     LAMBDA_MULTIOPT_BUILD           ${LAMBDA_MULTIOPT_BUILD}")
message(   "     LAMBDA_STATIC_BUILD             ${LAMBDA_STATIC_BUILD}")
message(STATUS "Run 'cmake -LH' to get a comment on each option.")
message(STATUS "Remove CMakeCache.txt and re-run cmake with -DOPTIONNAME=ON|OFF to change an option.")

# deactivate the version check on broken seqan releases
if (SEQAN_VERSION_STRING VERSION_LESS "2.3.2")
    add_definitions (-DSEQAN_DISABLE_VERSION_CHECK="YES")
endif ()

# ----------------------------------------------------------------------------
# Compiler specifics
# ----------------------------------------------------------------------------

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -ftemplate-depth-1024")

    # do not warn for variable length arrays
    set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -Wno-vla-extension")
endif ()

if (CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    # do not warn for variable length arrays
    set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -Wno-vla")

    # parallelize parts of build even for one translation unit
    if (NOT DEFINED LAMBDA_COMPILE_THREADS)
        include(ProcessorCount)
        ProcessorCount(LAMBDA_COMPILE_THREADS)
    endif ()
    if (LAMBDA_COMPILE_THREADS GREATER 1)
        set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -flto=${LAMBDA_COMPILE_THREADS}")
    endif()

    # strip binaries to make them smaller
    set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -s")
endif ()

if (NOT CMAKE_CXX_COMPILER_ID MATCHES "Intel")
    # -Wextra not met by current SeqAn on intel
    set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -Wextra")
endif ()

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Enable global exception handler for all seqan apps.
set (SEQAN_DEFINITIONS ${SEQAN_DEFINITIONS} -DSEQAN_GLOBAL_EXCEPTION_HANDLER=1)

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Add definitions set by the build system.
add_definitions (-DSEQAN_APP_VERSION="${SEQAN_APP_VERSION}")
add_definitions (-DCMAKE_BUILD_TYPE="${CMAKE_BUILD_TYPE}")

# Set the right output directory
set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS} -Wall -pedantic")

# Update the list of file names below if you add source files to your application.
set (LAMBDA_SOURCE_FILES
                lambda.cpp
                    shared_definitions.hpp
                    shared_misc.hpp
                    shared_options.hpp
                search.hpp
                    search_algo.hpp
                    search_datastructures.hpp
                    search_misc.hpp
                    search_output.hpp
                    search_options.hpp
                mkindex.hpp
                    mkindex_algo.hpp
                    mkindex_misc.hpp
                    mkindex_options.hpp
                    mkindex_saca.hpp)

add_executable (lambda2 ${LAMBDA_SOURCE_FILES})
target_link_libraries (lambda2 ${SEQAN_LIBRARIES})

if (LAMBDA_MULTIOPT_BUILD)
    add_executable (lambda2-sse4 ${LAMBDA_SOURCE_FILES})
    target_link_libraries (lambda2-sse4 ${SEQAN_LIBRARIES})
    set_target_properties (lambda2-sse4 PROPERTIES COMPILE_FLAGS "-mmmx -msse -msse2 -msse3 -mssse3 -msse4 -mpopcnt")
endif ()

# ----------------------------------------------------------------------------
# Man-pages
# ----------------------------------------------------------------------------

# Umbrella man-page
add_custom_command (OUTPUT lambda2.1
                    COMMAND lambda2 --export-help=man > lambda2.1
                    DEPENDS lambda2)
# searchn subcommand
add_custom_command (OUTPUT lambda2-searchn.1
                    COMMAND lambda2 searchn --export-help=man > lambda2-searchn.1
                    DEPENDS lambda2)
# searchp subcommand
add_custom_command (OUTPUT lambda2-searchp.1
                    COMMAND lambda2 searchp --export-help=man > lambda2-searchp.1
                    DEPENDS lambda2)
# mkindexn subcommand
add_custom_command (OUTPUT lambda2-mkindexn.1
                    COMMAND lambda2 mkindexn --export-help=man > lambda2-mkindexn.1
                    DEPENDS lambda2)
# mkindexp subcommand
add_custom_command (OUTPUT lambda2-mkindexp.1
                    COMMAND lambda2 mkindexp --export-help=man > lambda2-mkindexp.1
                    DEPENDS lambda2)

add_custom_target (manual
                   ALL
                   DEPENDS lambda2.1 lambda2-searchn.1 lambda2-searchp.1 lambda2-mkindexn.1 lambda2-mkindexp.1)

# ----------------------------------------------------------------------------
# Installation
# ----------------------------------------------------------------------------

# Adapt to system paths
include (GNUInstallDirs)

if (LAMBDA_MULTIOPT_BUILD)
    # Install lambda binaries into LIBEXECDIR
    install (TARGETS lambda2 lambda2-sse4
             DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

    # Install dispatcher script into BINDIR
    configure_file(../bin/lambda2.in
                   ${CMAKE_CURRENT_BINARY_DIR}/lambda2-dispatch
                   @ONLY)

=== debian/changelog ===
lambda-align2 (2.0.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:43 +0100

lambda-align2 (2.0.0-2) unstable; urgency=medium

  * Enable verbose mode in d/rules.
  * Only activate multiopt builds on archs that support the required
    compiler flags.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 19 Jan 2019 23:19:18 +0100

lambda-align2 (2.0.0-1) unstable; urgency=medium

  * Initial packaging for 2.x series (Closes: #919726)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 14 Jan 2019 02:03:34 -0800

=== debian/control ===
Source: lambda-align2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               libseqan2-dev,
               cmake,
               zlib1g-dev,
               libbz2-dev,
               openssl
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/lambda-align2
Vcs-Git: https://salsa.debian.org/med-team/lambda-align2.git
Homepage: https://seqan.github.io/lambda

Package: lambda-align2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Local Aligner for Massive Biological DatA - v2
 Lambda2 is a local biosequence aligner optimized for many query sequences
 and searches in protein space. It is compatible to the de facto standard tool
 BLAST, but often outperforms the best currently available alternatives at
 reproducing BLAST’s results and is the fastest compared with the current
 state of the art at comparable levels of sensitivity.
 .
 This package is for the Lambda (align) v2.x series which has an incompatible
 command line interface and on disk format from Lambda (align) v1.x.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

MULTIOPT_ARCHS = amd64 kfreebsd-amd64

ifneq (,$(findstring $(DEB_HOST_ARCH),$(MULTIOPT_ARCHS)))
	ENABLE_MULTIOPT="-DLAMBDA_MULTIOPT_BUILD=1"
else
	ENABLE_MULTIOPT="-DLAMBDA_MULTIOPT_BUILD=0"
endif

%:
	dh $@ --builddirectory=build

override_dh_install:
	dh_install
	find debian -name "LICENSE*.rst" -delete

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLAMBDA_NATIVE_BUILD=OFF \
		-DLAMBDA_MMAPPED_DB=OFF \
		-DCMAKE_BUILD_TYPE=Release \
		$(ENABLE_MULTIOPT) \
		-DLAMBDA_COMPILE_THREADS=$(shell nproc)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#for md5 in debian/*.md5sums; do gzip --keep $${md5}; done
	#cp --backup debian/*md5sums.gz tests/
	#cd build/tests && ctest . -j$(shell nproc) -I 1,10
endif

override_dh_auto_clean:
	if ls tests/*~ 1> /dev/null 2>&1; then \
	  for backup in tests/*~; do mv $${backup} $${backup%\~}; done; \
	fi
	dh_auto_clean

override_dh_dwz:
	# pass

## lambda-align2 2.0.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # change this after every release
 set (SEQAN_APP_VERSION_MAJOR "2")
 set (SEQAN_APP_VERSION_MINOR "0")
-set (SEQAN_APP_VERSION_PATCH "0")
+set (SEQAN_APP_VERSION_PATCH "1")
 
 # don't change the following
 set (SEQAN_APP_VERSION "${SEQAN_APP_VERSION_MAJOR}.${SEQAN_APP_VERSION_MINOR}.${SEQAN_APP_VERSION_PATCH}")
@@ -31,7 +31,7 @@
 find_package(BZip2  QUIET)
 find_package(SeqAn  QUIET REQUIRED CONFIG)
 
-message(STATUS "These dependencies where found:")
+message(STATUS "These dependencies were found:")
 message(   "     OPENMP     ${OPENMP_FOUND}      ${OpenMP_CXX_FLAGS}")
 message(   "     ZLIB       ${ZLIB_FOUND}      ${ZLIB_VERSION_STRING}")
 message(   "     BZIP2      ${BZIP2_FOUND}      ${BZIP2_VERSION_STRING}")
@@ -78,7 +78,7 @@
     return ()
 endif ()
 
-message(STATUS "The requirements where met.")
+message(STATUS "The requirements were met.")
 
 # ----------------------------------------------------------------------------
 # App-Level Configuration

=== debian/changelog ===
lambda-align2 (2.0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113093)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:29:07 +0300

lambda-align2 (2.0.1-3) unstable; urgency=medium

  * Team upload.
  * Added patch to enable install on non-amd64 archs
  * d/control: build on any arch
  * d/control: openssl is only needed for tests

 -- Enrico Seiler <enrico.seiler.debian@outlook.com>  Thu, 28 Nov 2024 13:53:13 +0100

lambda-align2 (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Bump d/copyright date.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 21 Jul 2023 11:37:14 +0200

lambda-align2 (2.0.0-9) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with glibc 2.32 (thanks for the patch to Gianfranco Costamagna)
    Closes: #976691

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2020 16:04:42 +0100

lambda-align2 (2.0.0-8) unstable; urgency=medium

  * Team upload.
  * Do not set LAMBDA_COMPILE_THREADS explicitly but trust --parallel default
    dh option
    Closes: #975706
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 15:59:33 +0100

lambda-align2 (2.0.0-7) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Only build on amd64 for now. (Closes: #953081)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/upstream/metadata: add Repository and Repository-Browse

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 29 Mar 2020 12:32:34 +0200

lambda-align2 (2.0.0-6) unstable; urgency=medium

  * Adjust reproducibility patch.
    Closes: #920591

 -- Sascha Steinbiss <satta@debian.org>  Sat, 08 Jun 2019 14:49:26 +0200

lambda-align2 (2.0.0-5) unstable; urgency=medium

  * Team upload.
  * make the build reproducible (thanks for the patch to
    Chris Lamb <lamby@debian.org>)
    Closes: #920591

 -- Andreas Tille <tille@debian.org>  Sun, 27 Jan 2019 11:18:13 +0100

lambda-align2 (2.0.0-4) unstable; urgency=medium

  * Skip checking md5sums in the tests as they are not currently stable.
  * Post process the unix manual pages to remove errors with regards to the
    subcommands.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 23 Jan 2019 11:54:46 -0800

lambda-align2 (2.0.0-3) unstable; urgency=medium

  * Fix 32-bit builds. Thanks to Michael R. Crusoe for the patch.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 22 Jan 2019 13:42:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: lambda-align2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                libseqan2-dev,
                cmake,
                zlib1g-dev,
                libbz2-dev,
-               openssl
-Standards-Version: 4.3.0
+               openssl <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/lambda-align2
 Vcs-Git: https://salsa.debian.org/med-team/lambda-align2.git
 Homepage: https://seqan.github.io/lambda
+Rules-Requires-Root: no
 
 Package: lambda-align2
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,19 @@
 %:
 	dh $@ --builddirectory=build
 
+override_dh_installman:
+	sed -i -e 's@\(defaults to working directory\.\).*@\1@g' ./debian/lambda-align2/usr/share/man/man1/*.1
+	sed -i -e 's@\(number of threads to run concurrently\).*@\1. Default: autodetected.@g' ./debian/lambda-align2/usr/share/man/man1/*.1
+	sed -i 's/LAMBDA2 MKINDEXN/LAMBDA2_MKINDEXN/' ./debian/lambda-align2/usr/share/man/man1/lambda2-mkindexn.1
+	sed -i 's/^lambda2 mkindexn /lambda2_mkindexn /' ./debian/lambda-align2/usr/share/man/man1/lambda2-mkindexn.1
+	sed -i 's/LAMBDA2 MKINDEXP/LAMBDA2_MKINDEXP/' ./debian/lambda-align2/usr/share/man/man1/lambda2-mkindexp.1
+	sed -i 's/^lambda2 mkindexp /lambda2_mkindexp /' ./debian/lambda-align2/usr/share/man/man1/lambda2-mkindexp.1
+	sed -i 's/LAMBDA2 SEARCHN/LAMBDA2_SEARCHN/' ./debian/lambda-align2/usr/share/man/man1/lambda2-searchn.1
+	sed -i 's/^lambda2 searchn /lambda2_searchn /' ./debian/lambda-align2/usr/share/man/man1/lambda2-searchn.1
+	sed -i 's/LAMBDA2 SEARCHP/LAMBDA2_SEARCHP/' ./debian/lambda-align2/usr/share/man/man1/lambda2-searchp.1
+	sed -i 's/^lambda2 searchp /lambda2_searchp /' ./debian/lambda-align2/usr/share/man/man1/lambda2-searchp.1
+	dh_installman
+
 override_dh_install:
 	dh_install
 	find debian -name "LICENSE*.rst" -delete
@@ -26,14 +39,13 @@
 		-DLAMBDA_NATIVE_BUILD=OFF \
 		-DLAMBDA_MMAPPED_DB=OFF \
 		-DCMAKE_BUILD_TYPE=Release \
-		$(ENABLE_MULTIOPT) \
-		-DLAMBDA_COMPILE_THREADS=$(shell nproc)
+		$(ENABLE_MULTIOPT)
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	#for md5 in debian/*.md5sums; do gzip --keep $${md5}; done
 	#cp --backup debian/*md5sums.gz tests/
-	#cd build/tests && ctest . -j$(shell nproc) -I 1,10
+	#cd build/tests && ctest .  -I 1,10
 endif
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests: run-tests
Depends: @, @builddeps@, openssl, gzip, coreutils, diffutils, ncbi-blast+
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/seqan/lambda/tags .*/lambda-v(2\.\d+\.\d+)\.tar.gz
